// PRUSA iteration3
// X end idler
// GNU GPL v3
// Josef Průša <iam@josefprusa.cz> and contributors
// http://www.reprap.org/wiki/Prusa_Mendel
// http://prusamendel.org
include <inc/configuration.scad>
use <inc/x-end.scad>
bearing_center = 5+(x_rod_distance/2);

//solo para comprobar que la pieza entraría en su posición
module soporte_polea(){
	translate([-14,35,27])
	rotate([90,0,0])
//	difference(){
		translate([-85,-90,0])
			import("Code_Xend_Idler_B_623.stl");
//		cylinder(r=2.9,h=50,$fn=100);
//	}
}

module hueco_soporte_polea(){
	translate([-22.5,35.1,27])
		rotate([90,0,90])
			cylinder(r=16.17,h=17,$fn=6);
}

module bearing_holes(){
	rotate([0,0,90])
		translate([0,14,bearing_center])
			rotate(a=[0,90,0])
				cylinder(h=17, r=1.6, $fn=30);
//	rotate([0,0,90])
//		translate([10,14,bearing_center])
//			rotate([0,90,0])
//				cylinder(h=4.1, r=3, $fn=6);
}

module back_shell(){
	translate([-20,-9.5,9.5])
	union(){
		cube([12,2,36]);
		translate([0,-4,0])
			difference(){
				cube([12,4,30]);
				rotate([20,0,0])
					translate([0,0,-5])
						cube([12,5,20]);
				translate([0,0,32])			
					rotate([-30,0,0])
						translate([0,0,-10])
							cube([12,5,20]);			
		}
	}
}


module x_end_idler(){
	mirror([0,1,0]) 
		difference(){
			x_end_base();
			x_end_holes();
	}
}

module pieza_final(){
	x_end_idler();
	difference(){
		back_shell();
		mirror([0,1,0])
			bearing_holes();
	}
}

difference(){
	pieza_final();
	hueco_soporte_polea();
}
//	soporte_polea();
